package cn.quantgroup.customer.model.user;


import cn.quantgroup.customer.entity.User;

public class AuthBean {

    private String token;
    private User user;

    public AuthBean(String token, User user1) {
        this.token = token;
        user = new User();
        user.setName(user1.getName());
        user.setRole(user1.getRole());
        user.setUsername(user1.getUsername());
        user.setId(user1.getId());
    }

    public AuthBean() {

    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
